Bug 53859 - Anaconda mounts half of RAID-0 (!) then crashes
Anaconda mounts half of RAID-0 (!) then crashes
Status: CLOSED DUPLICATE of bug 16833
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-19 23:10 EDT by Andrew Pam
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-20 11:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda crash dump (10.33 KB, text/plain)
2001-09-19 23:11 EDT, Andrew Pam
no flags Details
/etc/fstab (1.16 KB, text/plain)
2001-09-19 23:12 EDT, Andrew Pam
no flags Details
/etc/raidtab (838 bytes, text/plain)
2001-09-19 23:12 EDT, Andrew Pam
no flags Details
Output of fdisk -l (1.22 KB, text/plain)
2001-09-20 11:56 EDT, Andrew Pam
no flags Details

  None (edit)
Description Andrew Pam 2001-09-19 23:10:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.8i1 i586)

Description of problem:
On a system running RAID-0, when upgrading from RH7.0 to 7.1 Anaconda
detected a partition containing an unused /usr directory structure.  It
mounts HALF THE STRIPE as a regular ext2 filesystem despite the fstab and
raidtab and then crashes.  rm -rf on the unused partition did not solve the
problem, but dd if=/dev/zero bs=1M count=1 did.  :)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Setup RAID-0 striped partitions.
2.  Discontinue use of a partition that had been used as /usr (switch to
another partition)
3.  Attempt a RedHat upgrade.

Actual Results:  Anaconda crashes.

Expected Results:  Install should proceed normally.

Additional info:
Comment 1 Andrew Pam 2001-09-19 23:11:36 EDT
Created attachment 32163 [details]
Anaconda crash dump
Comment 2 Andrew Pam 2001-09-19 23:12:25 EDT
Created attachment 32164 [details]
Comment 3 Andrew Pam 2001-09-19 23:12:57 EDT
Created attachment 32165 [details]
Comment 4 Brent Fox 2001-09-20 11:22:35 EDT
Can you post the output of 'fdisk -l' on the drive(s) in question?
Comment 5 Andrew Pam 2001-09-20 11:56:54 EDT
Created attachment 32219 [details]
Output of fdisk -l
Comment 6 Brent Fox 2001-09-20 12:08:56 EDT
Ah.  Raid partitions should be of type 0xfd (Linux raid auto), not type 0x83
(Linux).  The installer will do strange things if the Raid partitions are of the
wrong type.  This is a dupe of bug #16833

*** This bug has been marked as a duplicate of 16833 ***

Note You need to log in before you can comment on or make changes to this bug.